## brasero-units

brasero-units

## Functions

#define | BRASERO_SPEED_TO_RATE_CD()
#define | BRASERO_SPEED_TO_RATE_DVD()
#define | BRASERO_SPEED_TO_RATE_BD()
#define | BRASERO_RATE_TO_SPEED_CD()
#define | BRASERO_RATE_TO_SPEED_DVD()
#define | BRASERO_RATE_TO_SPEED_BD()
#define | BRASERO_DURATION_TO_BYTES()
#define | BRASERO_DURATION_TO_SECTORS()
#define | BRASERO_BYTES_TO_SECTORS()
#define | BRASERO_BYTES_TO_DURATION()
gchar * | brasero_units_get_time_string ()
gchar * | brasero_units_get_time_string_from_size ()

## Types and Values

#define | CD_RATE
#define | DVD_RATE
#define | BD_RATE

## Description

## Functions

### BRASERO_SPEED_TO_RATE_CD()

    #define             BRASERO_SPEED_TO_RATE_CD(speed)

### BRASERO_SPEED_TO_RATE_DVD()

    #define             BRASERO_SPEED_TO_RATE_DVD(speed)

### BRASERO_SPEED_TO_RATE_BD()

    #define             BRASERO_SPEED_TO_RATE_BD(speed)

### BRASERO_RATE_TO_SPEED_CD()

    #define             BRASERO_RATE_TO_SPEED_CD(rate)

### BRASERO_RATE_TO_SPEED_DVD()

    #define             BRASERO_RATE_TO_SPEED_DVD(rate)

### BRASERO_RATE_TO_SPEED_BD()

    #define             BRASERO_RATE_TO_SPEED_BD(rate)

### BRASERO_DURATION_TO_BYTES()

    #define             BRASERO_DURATION_TO_BYTES(duration)

### BRASERO_DURATION_TO_SECTORS()

    #define             BRASERO_DURATION_TO_SECTORS(duration)

### BRASERO_BYTES_TO_SECTORS()

    #define             BRASERO_BYTES_TO_SECTORS(size, secsize)

### BRASERO_BYTES_TO_DURATION()

    #define             BRASERO_BYTES_TO_DURATION(bytes)

### brasero_units_get_time_string ()

    gchar *
    brasero_units_get_time_string (guint64 time,
                                   gboolean with_unit,
                                   gboolean round);

### brasero_units_get_time_string_from_size ()

    gchar *
    brasero_units_get_time_string_from_size
                                   (gint64 size,
                                    gboolean with_unit,
                                    gboolean round);

## Types and Values

### CD_RATE

    #define CD_RATE 176400		/* bytes by second */

### DVD_RATE

    #define DVD_RATE 1387500 /* bytes by second */

### BD_RATE

    #define BD_RATE 4500000		/* bytes by second */